//
function Convert(){
	var r="";
	var t=gv("TXT_DATA");
	var d = t.split(/\n/);
    var c= d.length -1;
	var i;
	for(i=0;i<=c;i++){
		if(jL(d[i])>0){
			r=r+d[i]+",";
		}
	}	
	window.opener.document.Frm.TxtIMEI.value=r;
	window.opener.document.Frm.TxtProcesar.click();
	window.opener.document.Frm.CmdAdd.focus();
	window.close();
}
//
function Procesar(AC){
	var HW=gv("HW");
	var r="";
	var AR="N";
	if(document.getElementById("Auto").checked==true){
		AR="S";
	}
	var t=gv("TXT_DATA");
	if(jL(t)==0){
		alert("El cuadro de datos esta vacio");
		return;
	}
	var DATA="";
	var d = t.split(/\n/);
    var c= d.length -1;
	var i;
	var cod,des,lin,can,pie,pre;
	for(i=0;i<=c;i++){
		if(jL(d[i])>0){
			var dd=d[i].split(/\t/);
			if(dd.length >0){
				cod=vbTrim(dd[0]);
				des=vbTrim(dd[1]);
				lin=vbTrim(dd[2]);
				can=vbTrim(dd[3]);
				pie=vbTrim(dd[4]);
				prm=vbTrim(dd[5]);
				prw=vbTrim(dd[6]);
				roj=vbTrim(dd[7]);
				amb=vbTrim(dd[8]);
				pco=vbTrim(dd[9]);
				//
				DATA=DATA+cod+"|"+des+"|"+lin+"|"+can+"|"+pie+"|"+prm+"|"+prw+"|"+roj+"|"+amb+"|"+pco+"@";
			}
		}
	}
	if(jL(DATA)>0){
		sv("COM_DATA",DATA);
		var r=AX_("01",DATA,AR,HW,AC);
		r=r.split("|");
		if(r[0]=="OK"){
			sv("TXT_DATA",r[1]);
		}
		document.getElementById("CmdAx").disabled=true;
		document.getElementById("CmdRe").disabled=true;
		alert("Proceso completado");
		window.opener.document.Frm.CmdUP.click()
	}	
}
function fAnexar(){
	if(pre("Esta seguro que desea anexar los datos?")==false){
		return false;
	}
	Procesar("AN");
}
function fReemplazar(){
	if(pre("Esta seguro que desea reemplazar los datos?")==false){
		return false;
	}
	Procesar("RE");
}